# Class: JobInfo

## JobInfo

#### new JobInfo(parameters)

  Class describing an executor job. The data is used for communication between the initiator/a monitor of the job and the worker executing the job.

  ##### Parameters:

  Name | Type | Description
  --- | --- | ---

  `parameters`

  object

  ###### Properties

  Name | Type | Description
  --- | --- | ---
  `hash` | hash | Job identifier.

### Members

#### <static> finishedStatuses :Array.<string>

  Array of statuses where the job hash finished and won't proceed.

  ##### Type:

  - Array.<string>

#### createTime :string

  Timestamp of when the job was created.

  ##### Type:

  - string

#### finishTime :string

  Timestamp of when the job execution finished on the worker.

  ##### Type:

  - string

#### hash :string

  Job identifier.

  ##### Type:

  - string

#### labels :Array.<string>

  Array of labels for the job.

  ##### Type:

  - Array.<string>

#### outputNumber :number

  The (id) outputNumber (0, 1, 2, ...) of the latest OutputInfo (for this job) available on the server. When no output is available the number is null.

  ##### Type:

  - number

#### resultHashes :Array.<string>

  Array of hashes to Artifacts containing each requested result.

  ##### Type:

  - Array.<string>

#### resultSuperSet :string

  Hash to an Artifact containing the union of all requests results.

  ##### Type:

  - string

#### startTime :string

  Timestamp of when the job execution started by a worker.

  ##### Type:

  - string

#### status :string

  Current status of the job.

  ##### Type:

  - string

#### worker :string

  Id/label of the worker processing the job.

  ##### Type:

  - string

### Methods

#### <static> isFailedFinishedStatus(status)

  Returns true if the provided status is a failed finished status.

  ##### Parameters:

  Name | Type | Description
  --- | --- | ---
  `status` | string | The status of a job.

  ##### Returns:

  Type
    boolean

#### <static> isFinishedStatus(status)

  Returns true of the provided status is a finished status.

  ##### Parameters:

  Name | Type | Description
  --- | --- | ---
  `status` | string | The status of a job.

  ##### Returns:

  Type
    boolean

#### Search results